### Method

# Snapd Client run_snapctl_finish

deprecated: 1.59 since: 1.8

#### Declaration [src]

    gboolean
    snapd_client_run_snapctl_finish (
      SnapdClient* client,
      GAsyncResult* result,
      gchar** stdout_output,
      gchar** stderr_output,
      GError** error
    )

#### Description [src]

Complete request started with snapd_client_run_snapctl_async(). See `snapd_client_run_snapctl_sync()` for more information.

Available since: 1.8

Deprecated since: 1.59

Use snapd_client_run_snapctl2_finish().

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`stdout_output`

  Type: `gchar**`

  The location to write the stdout from the command or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`stderr_output`

  Type: `gchar**`

  The location to write the stderr from the command or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success or `FALSE` on error.